#import "AsBarcodeItem.h"

@implementation AsBarcodeItem
- (void)encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeInt:self.barcodeType forKey:@"barcodeType"];
    [aCoder encodeObject:self.barcode forKey:@"barcode"];
    [aCoder encodeObject:self.dateTime forKey:@"dateTime"];
}
- (nullable instancetype)initWithCoder:(NSCoder *)aDecoder
{
    if (self = [super init]) {
        self.barcodeType = [aDecoder decodeIntForKey:@"barcodeType"];
        self.barcode = [aDecoder decodeObjectForKey:@"barcode"];
        self.dateTime = [aDecoder decodeObjectForKey:@"dateTime"];
    }
    return self;
}
- (id)copyWithZone:(NSZone *)zone{
    AsBarcodeItem *asBarItem=[[[self class] allocWithZone:zone] init];
    asBarItem.barcodeType=self.barcodeType;
    asBarItem.barcode  =self.barcode;
    asBarItem.dateTime  =self.dateTime;
    return asBarItem;
}
@end
