//
//  AsReaderP252BBluetoothManagerDelegate.h
//  蓝牙连接封装
//
//  Created by iOS on 10.6.21.
//

#import <Foundation/Foundation.h>
#import "AsReaderP252B.h"

@protocol AsReaderP252BDeviceManagerDelegate <NSObject>
- (void)didDiscoverAsReaderP252BDeviceList:(NSArray<AsReaderP252B *> *)asReaderP252BList;
@end

@interface AsReaderP252BDeviceManager : NSObject
@property (nonatomic, weak) id<AsReaderP252BDeviceManagerDelegate>delegate;

+ (AsReaderP252BDeviceManager *)shared;

- (void)startDiscovered;
- (void)stopDiscovered;

@end
