//
//  SystemSetting.h
//  AsReaderLR
//
//  Created by mac on 2017/8/7.
//  Copyright © 2017年 asterisk. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SystemSetting : NSObject

+ (SystemSetting *)sharedSystemSetting;

- (void)RFIDSetting;

- (void)setNotFirstUsed:(BOOL)isFirst;
- (BOOL)getNotFirstUsed;

- (void)setBuzzerTime:(int)buzzerTime;
- (int)getBuzzerTime;

- (void)setVibratorTime:(int)vibratorTime;
- (int)getVibratorTime;

- (void)setBuzzer:(int)buzzertType;
- (int)getBuzzer;

- (void)setInventoryTime:(int)inventoryTime;
- (int)getInventoryTime;

- (void)setIdleTime:(int)idleTime;
- (int)getIdleTime;

- (void)setAutoOffTime:(int)autoOffTime;
- (int)getAutoOffTime;

- (void)setQValue:(int)qValue;
- (int)getQValue;

- (void)setSleepTime:(int)sleepTimeValue;
- (int)getSleepTime;

- (void)setLinkProfileValue:(int)linkProfileValue;
- (int)getLinkProfileValue;

- (void)setDefaultLinkProfileValue:(int)defaultLinkProfileValue;
- (int)getDefaultLinkProfileValue;

- (void)setOperationTime:(int)operationTime;
- (int)getOperationTime;


- (void)setPowerGain:(int)powerGain;
- (int)getPowerGain;

- (void)setInventorySession:(int)inventorySession;
- (int)getInventorySession;

- (void)setSessionFlag:(int)sessionFlag;
- (int)getSessionFlag;

- (void)setContinuousMode:(BOOL)isContinuousMode;
- (BOOL)getContinuousMode;

- (void)setRssiMode:(BOOL)isRssiMode;
- (BOOL)getRssiMode;

- (void)setDisPlayPC:(BOOL)isDisplaypc;
- (BOOL)getDisPlayPC;


- (void)setLbtItemData:(NSArray *)lbtItemData;
- (NSArray *)getLbtItemData;

- (void)setRfidData:(NSArray *)rfidData;
- (NSArray *)getRfidData;
 
- (void)setMapTags:(NSDictionary *)mapTags;
- (NSDictionary *)getMapTags;

- (void)setEpcMaskData:(NSArray *)epcMaskData;
- (NSArray *)getEpcMaskData;

- (void)setSelectionEpcMaskData:(NSArray *)selectionEpcMaskData;
- (NSArray *)getSelectionEpcMaskData;

- (void)setFrequencyAutomatic:(BOOL)isAutomatic;
- (BOOL)getFrequencyAutomatic;

- (void)setBatteryInterval:(NSString *)batteryInterval;
- (NSString *)getBatteryInterval;

- (void)setBarcodeReScanTime:(int)barcodeReScanTime;
- (int)getBarcodeReScanTime;

- (void)setBarcodeData:(NSArray *)barcodeData;
- (NSArray *)getBarcodeData;

- (void)setBarcodeTimeout:(int)timeout;
- (int)getBarcodeTimeout;

- (void)setBaudRate:(int)baudRate;
- (int)getBaudRate;

- (BOOL)getIsAutoConnected;
- (void)setIsAutoConnected:(BOOL)isAutoConnected;

- (NSString *)getAsReaderP252BName;
- (void)setAsReaderP252BName:(NSString *)AsReaderP252BName;
@end
